<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE TutorialList [
     <!ENTITY nbsp "&#160;">
     <!ENTITY rarr "&#8594;">
     <!ENTITY mdash "&#8212;">
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
  <xsl:output method="html"/>
  <xsl:include href="common.xsl"/>
  
  <xsl:variable name="es">español</xsl:variable>
  <xsl:variable name="fr">français</xsl:variable>
  <xsl:variable name="ru">русский</xsl:variable> 
  
  <xsl:variable name="sourceforgelink">http://prdownloads.sourceforge.net/greenstone</xsl:variable>
      
  <xsl:variable name="tab">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</xsl:variable>
  <xsl:template match="Manifest">
    <html>
      <head><title>Greenstone Manuals</title></head>
      <link rel="stylesheet" href="style.css" type="text/css"/>
      <body>
      <h1>Greenstone Manuals</h1>
      <xsl:for-each select="Manual">
      	<h3><a class="title" href="en/html/{@id}_en_index.html"><xsl:apply-templates select="@name"/></a><xsl:text>  </xsl:text><a class="title" href="es/html/{@id}_es_index.html"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a class="title" href="fr/html/{@id}_fr_index.html"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a class="title" href="ru/html/{@id}_ru_index.html"><xsl:value-of select="$ru"/></a></h3>
      	
      	<div class="note"><xsl:value-of select="note"/></div>
      	
      	<div class="comment">Printable version: english (<a class="comment" href="en/html/{@id}_en_all.html">HTML</a><xsl:text>  </xsl:text><a class="comment" href="{$sourceforgelink}/{@id}-en.pdf">PDF</a>)<xsl:value-of select="$tab"/><xsl:value-of select="$es"/> (<a class="comment" href="es/html/{@id}_es_all.html">HTML</a><xsl:text>  </xsl:text><a class="comment" href="{$sourceforgelink}/{@id}-es.pdf">PDF</a>)<xsl:value-of select="$tab"/><xsl:value-of select="$fr"/> (<a class="comment" href="fr/html/{@id}_fr_all.html">HTML</a><xsl:text>  </xsl:text><a class="comment" href="{$sourceforgelink}/{@id}-fr.pdf">PDF</a>)<xsl:value-of select="$tab"/><xsl:value-of select="$ru"/> (<a class="comment" href="ru/html/{@id}_ru_all.html">HTML</a><xsl:text>  </xsl:text><a class="comment" href="{$sourceforgelink}/{@id}-ru.pdf">PDF</a>)</div>
      	
      	<dl><xsl:apply-templates select="file"><xsl:with-param name="manualNodes" select="document(file/@href)"/></xsl:apply-templates></dl>
      </xsl:for-each>
      
      <hr/>
	  <div style="text-align:center;">	  
	  <xsl:apply-templates select="Manual[1]/file" mode="copyright">
	  	<xsl:with-param name="manualNodes" select="document(Manual[1]/file/@href)"/>	  	
  	  </xsl:apply-templates>
  	  </div>
	</body>
</html>
</xsl:template>

<xsl:template match="file">
<xsl:param name="manualNodes"/>
<dt><xsl:apply-templates select="$manualNodes//Chapter"/></dt>
</xsl:template>

<xsl:template match="file" mode="copyright">
<xsl:param name="manualNodes"/>
<xsl:apply-templates select="$manualNodes/Manual/Section[@id='copyright']/Content"/>
</xsl:template>

<xsl:template match="Chapter">
	<dd><a href="en/html/Chapter_{@id}.htm"><xsl:apply-templates select="Title/Text"/></a><xsl:text>  </xsl:text>[<a href="es/html/Chapter_{@id}.htm"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a href="fr/html/Chapter_{@id}.htm"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a href="ru/html/Chapter_{@id}.htm"><xsl:value-of select="$ru"/></a>]</dd>  
</xsl:template>
</xsl:stylesheet>
